View Issue Details

IDProjectCategoryView StatusLast Update
0000213ECLERD[All Projects] Generalpublic2015-10-19 00:37
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status CloseResolutionfixed 
Product Version 
Target Versionv1.0.0-a.7Fixed in Versionv1.0.0-a.7 
Summary0000213: Les usines produisent et consomment
DescriptionElles utilisent pour cela leurs stocks. Les stocks n'ayant pas de capacité maximale (pour le moment), les usines peuvent produire en grande quantité sans se soucier de savoir si cela va rentrer dans leur stock.
TagsNo tags attached.
Attach Tags

Relationships

parent of 0000209 CloseXenos Rajouter les constructions 
parent of 0000210 CloseXenos Rajouter les ressources 
parent of 0000211 CloseAlu Doter les batiments de stocks 

Activities

Xenos

Xenos

2015-09-01 23:39

administrator   ~0000273

Il va donc falloir spécifier, dans la BDD, ce que chaque usine produit et consomme, en quelles quantité, à quelle fréquence, connaitre la date de dernier calcul de cette production/consommation, l'appliquer aux usines (toutes en même temps? seules celles du joueur?) et ce en ne perdant pas de vue le cas de la ressource "population"...

Ca va être un ticket de plusieurs soirées, voire d'un week end entier !
Xenos

Xenos

2015-09-06 21:48

administrator   ~0000286

Il va quand même falloir une interface à ces stocks... Puis à un peu tout en fait !
Xenos

Xenos

2015-09-06 23:38

administrator   ~0000291

Lorsqu'un batiment produit une ressource qui n'est pas encore dans ses stocks, cette ressource n'est pas rajoutée au stock (revoir "building_all_production": un mauvais INNER JOIN doit y trainer).
Xenos

Xenos

2015-10-19 00:37

administrator   ~0000378

Fixé dans la v1.0.0-a.7 et déployé sur le serveur beta.

Issue History

Date Modified Username Field Change
2015-08-15 15:20 Xenos New Issue
2015-08-15 15:20 Xenos Status New => In progress
2015-08-15 15:20 Xenos Assigned To => Xenos
2015-08-15 15:26 Xenos Relationship added parent of 0000209
2015-08-15 15:26 Xenos Relationship added parent of 0000210
2015-08-15 15:26 Xenos Relationship added parent of 0000211
2015-08-16 15:48 Xenos Status In progress => Accepted
2015-09-01 23:39 Xenos Note Added: 0000273
2015-09-01 23:39 Xenos Status Accepted => In progress
2015-09-06 21:48 Xenos Note Added: 0000286
2015-09-06 21:48 Xenos Status In progress => Resolved
2015-09-06 21:48 Xenos Fixed in Version => v1.0.0-a.7
2015-09-06 21:48 Xenos Resolution open => fixed
2015-09-06 23:38 Xenos Note Added: 0000291
2015-09-06 23:38 Xenos Status Resolved => Feedback
2015-09-06 23:38 Xenos Resolution fixed => reopened
2015-09-07 20:43 Xenos Status Feedback => Resolved
2015-09-07 20:43 Xenos Resolution reopened => fixed
2015-10-19 00:37 Xenos Note Added: 0000378
2015-10-19 00:37 Xenos Status Resolved => Close